from vector import Vector, Vector3

class Game_object(object):
  def __init__ (self,pos):
    self.pos = pos
    # Dying until you hit the ground, and which point you're dead
    self.dying = False
    self.dead = False

    self.vel = Vector3()
  def destroy(self):
    self.sprite.delete()
    
  def is_dead (self):
    return self.dead
  def get_centre (self):
    return self.pos + Vector3( vector_2d = self.size * 0.5)
  def get_viewport_pos (self):
    return Vector (self.pos.x,self.pos.y+self.pos.z)
  def get_viewport_centre_pos (self):
    return Vector (self.pos.x + self.size.x/2,self.pos.y+self.pos.z+self.size.y/2)
  def get_sprite (self):
    return self.sprite
  def update_sprite (self,screen_pos):
    sprite_pos = self.get_viewport_pos() - screen_pos
    self.sprite.x = sprite_pos.x
    self.sprite.y = sprite_pos.y

  def set_client (self,client):
    self.client = client
  def draw2 (self,screen_pos):
    pass
