import images
import pyglet.sprite
import game_object

class Particle (game_object.Game_object):
  def __init__ (self, lifetime, pos, vel):
    super (Particle,self).__init__(pos)
    self.lifetime = lifetime
    self.pos = pos
    self.vel = vel

  def tick(self, time_delta):
    self.lifetime -= time_delta
    if (self.lifetime <= 0):
      self.dead = True
    else:
      self.pos += self.vel * time_delta



class Number (Particle):
  def __init__(self, number, pos, vel, batch):
    super(Number,self).__init__(1,pos,vel)
    #its not a sprite but it should work as one

#    self.sprite = pyglet.sprite.Sprite (images.background_images["grass"])
    self.sprite = pyglet.text.Label("%d"%number, color = (255,0,0,255),batch = batch, anchor_x="center")

